/* Y o u r   D e s c r i p t i o n                       */
/*                            AppBuilder Photon Code Lib */
/*                                         Version 2.01  */

/* Standard headers */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>

/* Toolkit headers */
#include <Ph.h>
#include <Pt.h>
#include <Ap.h>

/* Local headers */
#include "abimport.h"
#include "proto.h"
#include "playlist.h"

int
BtnSaveOK( PtWidget_t *widget, ApInfo_t *apinfo, PtCallbackInfo_t *cbinfo )

{
	char *dir, *filename;

	PtGetResource(ABW_SaveFileText, Pt_ARG_TEXT_STRING, &filename, 0);
	if (filename == NULL || filename[0] == '\0')
	{
		// No filename selected.
		return (Pt_CONTINUE);
	}

	PtGetResource(ABW_SaveFileSel, Pt_ARG_FS_ROOT_DIR, &dir, 0);

	save_list(dir, filename);

	/* eliminate 'unreferenced' warnings */
	widget = widget, apinfo = apinfo, cbinfo = cbinfo;

	return( Pt_CONTINUE );

}
