/* Y o u r   D e s c r i p t i o n                       */
/*                            AppBuilder Photon Code Lib */
/*                                         Version 2.01  */

/* Standard headers */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>

/* Toolkit headers */
#include <Ph.h>
#include <Pt.h>
#include <Ap.h>

/* Local headers */
#include "abimport.h"
#include "proto.h"
#include "playlist.h"


extern int shuffle;

int
BtnShuffle( PtWidget_t *widget, ApInfo_t *apinfo, PtCallbackInfo_t *cbinfo )

{

	/* eliminate 'unreferenced' warnings */
	widget = widget, apinfo = apinfo, cbinfo = cbinfo;

	if (widget != NULL)
	{
		shuffle = ! shuffle;
		order_tracks();
	}

	/* If the user hit a hotkey to get here, update the widget. */
	if (widget == NULL || cbinfo->reason == Pt_CB_HOTKEY)
		PtSetResource(ABW_ShuffleButton, Pt_ARG_FLAGS,
				shuffle ? 0xffffffff : 0, Pt_SET);

	return( Pt_CONTINUE );

}
