/* Event header for application - AppBuilder 2.01  */

static const ApEventLink_t AbApplLinks[] = {
	{ 3, 0, 0L, 0L, 0L, &PhJuke, NULL, NULL, 0, WinOpen, 1, 5, -5, -21, },
	{ 0 }
	};

ApEventLink_t AbInternalLinks[] = {
	{ 4, 0, 0L, 0L, 0L, &LoadingDialog, NULL, NULL, 0, NULL, 0, 9, 0, 0, },
	{ 0 }
	};

static const ApEventLink_t AbLinks_PhJuke[] = {
	{ 8, 0, 0L, 0L, 0L, NULL, NULL, "PhJuke", 18024, WinQuit, 0, 0, 0, 0, },
	{ 8, 1, 0L, 0L, 1L, NULL, NULL, "PhJuke", 1011, HandleEvent, 0, 0, 0, 0, },
	{ 8, 0, 0L, 0L, 0L, NULL, NULL, "PrevButton", 2009, BtnPrev, 0, 0, 0, 0, },
	{ 8, 2, 98L, 0L, 0L, NULL, NULL, "PrevButton", 1010, BtnPrev, 0, 0, 0, 0, },
	{ 8, 0, 0L, 0L, 0L, NULL, NULL, "NextButton", 2009, BtnNext, 0, 0, 0, 0, },
	{ 8, 2, 102L, 0L, 0L, NULL, NULL, "NextButton", 1010, BtnNext, 0, 0, 0, 0, },
	{ 8, 2, 110L, 0L, 0L, NULL, NULL, "NextButton", 1010, BtnNext, 0, 0, 0, 0, },
	{ 8, 0, 0L, 0L, 0L, NULL, NULL, "StopButton", 2009, BtnStop, 0, 0, 0, 0, },
	{ 8, 2, 115L, 0L, 0L, NULL, NULL, "StopButton", 1010, BtnStop, 0, 0, 0, 0, },
	{ 8, 0, 0L, 0L, 0L, NULL, NULL, "PlayButton", 2009, BtnPlay, 0, 0, 0, 0, },
	{ 8, 2, 112L, 0L, 0L, NULL, NULL, "PlayButton", 1010, BtnPlay, 0, 0, 0, 0, },
	{ 8, 0, 0L, 0L, 0L, NULL, NULL, "PauseButton", 2009, BtnPause, 0, 0, 0, 0, },
	{ 8, 2, 32L, 0L, 0L, NULL, NULL, "PauseButton", 1010, BtnPause, 0, 0, 0, 0, },
	{ 8, 0, 0L, 0L, 0L, NULL, NULL, "PlayList", 23010, SongSelected, 0, 0, 0, 0, },
	{ 8, 0, 0L, 0L, 0L, NULL, NULL, "ShuffleButton", 2009, BtnShuffle, 0, 0, 0, 0, },
	{ 8, 2, 117L, 0L, 0L, NULL, NULL, "ShuffleButton", 1010, BtnShuffle, 0, 0, 0, 0, },
	{ 8, 0, 0L, 0L, 0L, NULL, NULL, "RepeatButton", 2009, BtnRepeat, 0, 0, 0, 0, },
	{ 8, 2, 114L, 0L, 0L, NULL, NULL, "RepeatButton", 1010, BtnRepeat, 0, 0, 0, 0, },
	{ 8, 0, 0L, 0L, 0L, NULL, NULL, "DelButton", 2009, BtnDelete, 0, 0, 0, 0, },
	{ 8, 0, 0L, 0L, 0L, NULL, NULL, "BackButton", 2009, BtnBack, 0, 0, 0, 0, },
	{ 8, 0, 0L, 0L, 0L, NULL, NULL, "HomeButton", 2009, BtnHome, 0, 0, 0, 0, },
	{ 8, 0, 0L, 0L, 0L, NULL, NULL, "TimeSlider", 22017, SliderMoved, 0, 0, 0, 0, },
	{ 5, 0, 0L, 0L, 0L, &CommandMenu, NULL, "CommandButton", 2007, NULL, 0, 2, 0, 0, },
	{ 0 }
	};

static const ApEventLink_t AbLinks_SaveDialog[] = {
	{ 8, 0, 0L, 0L, 0L, NULL, NULL, "SaveFileSel", 47013, SaveSelected, 0, 0, 0, 0, },
	{ 8, 0, 0L, 0L, 0L, NULL, NULL, "SaveFileSel", 47012, SaveSelected, 0, 0, 0, 0, },
	{ 8, 0, 0L, 0L, 0L, NULL, NULL, "SaveFileSel", 2009, SaveSelected, 0, 0, 0, 0, },
	{ 9, 0, 0L, 0L, 0L, NULL, NULL, "SaveFileText", 2009, BtnSaveOK, 0, 0, 0, 0, },
	{ 10, 0, 0L, 0L, 0L, NULL, NULL, "SaveCancelButton", 2009, NULL, 0, 0, 0, 0, },
	{ 9, 0, 0L, 0L, 0L, NULL, NULL, "SaveOKButton", 2009, BtnSaveOK, 0, 0, 0, 0, },
	{ 0 }
	};

static const ApEventLink_t AbLinks_SettingsDialog[] = {
	{ 10, 0, 0L, 0L, 0L, NULL, NULL, "SettingsCancelButton", 2009, NULL, 0, 0, 0, 0, },
	{ 9, 0, 0L, 0L, 0L, NULL, NULL, "SettingsOKButton", 2009, BtnSettingsOK, 0, 0, 0, 0, },
	{ 0 }
	};

static const ApEventLink_t AbLinks_CommandMenu[] = {
	{ 8, 0, 0L, 0L, 0L, NULL, NULL, "AutoClearItem", 2009, MenuAutoClear, 0, 0, 0, 0, },
	{ 4, 0, 0L, 0L, 0L, &SettingsDialog, NULL, "SettingsItem", 2009, SettingsInit, 0, 9, 0, 0, },
	{ 8, 0, 0L, 0L, 0L, NULL, NULL, "ClearItem", 2009, BtnClear, 0, 0, 0, 0, },
	{ 8, 0, 0L, 0L, 0L, NULL, NULL, "AddTracksItem", 2009, BtnAll, 0, 0, 0, 0, },
	{ 4, 0, 0L, 0L, 0L, &SaveDialog, NULL, "SaveItem", 2009, BtnSave, 0, 9, 0, 0, },
	{ 9, 0, 0L, 0L, 0L, NULL, NULL, "QuitItem", 2009, NULL, 0, 0, 0, 0, },
	{ 0 }
	};

