/* Y o u r   D e s c r i p t i o n                       */
/*                            AppBuilder Photon Code Lib */
/*                                         Version 2.01  */

/* Standard headers */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>

/* Toolkit headers */
#include <Ph.h>
#include <Pt.h>
#include <Ap.h>

/* Local headers */
#include "abimport.h"
#include "proto.h"


extern int repeat;

int
BtnRepeat( PtWidget_t *widget, ApInfo_t *apinfo, PtCallbackInfo_t *cbinfo )

{

	/* eliminate 'unreferenced' warnings */
	widget = widget, apinfo = apinfo, cbinfo = cbinfo;

	if (widget != NULL)
		repeat = ! repeat;

	/* If the user hit a hotkey to get here, update the widget. */
	if (widget == NULL || cbinfo->reason == Pt_CB_HOTKEY)
		PtSetResource(ABW_RepeatButton, Pt_ARG_FLAGS,
				repeat ? 0xffffffff : 0, Pt_SET);

	return( Pt_CONTINUE );

}
