/* Y o u r   D e s c r i p t i o n                       */
/*                            AppBuilder Photon Code Lib */
/*                                         Version 2.01  */

/* Standard headers */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>

/* Toolkit headers */
#include <Ph.h>
#include <Pt.h>
#include <Ap.h>

/* Local headers */
#include "abimport.h"
#include "proto.h"

int slider_dragging = 0;


int
SliderMoved( PtWidget_t *widget, ApInfo_t *apinfo, PtCallbackInfo_t *cbinfo )
{
	PtGaugeCallback_t	*gauge = (PtGaugeCallback_t *) cbinfo->cbdata;

	/* eliminate 'unreferenced' warnings */
	widget = widget, apinfo = apinfo, cbinfo = cbinfo;

	/*
	 * Keep track of drags so we don't update the slider out from under
	 * the user.
	 */
	if (cbinfo->reason_subtype == Pt_GAUGE_TO_MAX)	// Photon bug!
		slider_dragging = 1;
	else
		slider_dragging = 0;

	// printf("Slider moved to %d (%d %d)\n", gauge->value, cbinfo->reason_subtype, slider_dragging);

	return( Pt_CONTINUE );

}
