/* Y o u r   D e s c r i p t i o n                       */
/*                            AppBuilder Photon Code Lib */
/*                                         Version 2.01  */

/* Standard headers */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>

/* Local headers */
#include "ablibs.h"
#include "abimport.h"
#include "proto.h"
#include "playlist.h"


int save_on_exit = 0;
extern char *default_list;

int
WinQuit( PtWidget_t *widget, ApInfo_t *apinfo, PtCallbackInfo_t *cbinfo )

	{

	/* eliminate 'unreferenced' warnings */
	widget = widget, apinfo = apinfo, cbinfo = cbinfo;

	stop_playing();
	prefs_write();

	if (save_on_exit && default_list != NULL)
	{
		char	*lastslash;

		lastslash = strrchr(default_list, '/');
		if (lastslash != NULL)
		{
			*lastslash = '\0';
			save_list(default_list, lastslash + 1);
		}
		else
		{
			save_list(".", default_list);
		}
	}

	return( Pt_CONTINUE );

	}

