/*
 * Master list of available decoders.
 */
#include <stdio.h>
#include "decoder.h"

extern struct decoder decoder_madplay;
extern struct decoder decoder_ogg123;

struct decoder *decoders[] = {
	&decoder_madplay,
	&decoder_ogg123,
	NULL
};

// Decoder currently in use; all decoder calls jump through this.  It is
// changed via a command-line option.
struct decoder *decoder = &decoder_madplay;

int use_replaygain = 1;
double add_decibels = 7;
